Bug 84552 - [Chromium] Remove Webkit/chromium/public/WebReferrerPolicy.h thunk.
: [Chromium] Remove Webkit/chromium/public/WebReferrerPolicy.h thunk.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Gavin Peters
:
Depends on: 85079
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 14:57 PDT by Gavin Peters
Modified: 2012-04-30 15:41 PDT (History)
7 users (show)

See Also:


Attachments
Patch (3.47 KB, patch)
2012-04-22 14:59 PDT, Gavin Peters
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gavin Peters 2012-04-22 14:57:24 PDT
[Chromium] Remove Webkit/chromium/public/WebReferrerPolicy.h thunk.
Comment 1 Gavin Peters 2012-04-22 14:59:27 PDT
Created attachment 138276 [details]
Patch
Comment 2 Gavin Peters 2012-04-22 15:05:09 PDT
See https://bugs.webkit.org/show_bug.cgi?id=82478 and https://github.com/gavinp/git.webkit.org/commit/497ceedf75c56614eb610bcbd5559e682e7c7382 for Adam Barth's review.

This can't land until after http://codereview.chromium.org/10139023/ , or else it will break the build...
Comment 3 Gavin Peters 2012-04-27 04:12:15 PDT
Comment on attachment 138276 [details]
Patch

This is now reviewable, as its dependant change has landed in chromium.

jamesr, wdyt?
Comment 4 Gavin Peters 2012-04-27 04:12:42 PDT
oops: forgot to add you earlier.  jamesr, wdyt?
Comment 5 WebKit Review Bot 2012-04-27 04:14:44 PDT
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 6 Gavin Peters 2012-04-27 04:15:13 PDT
Comment on attachment 138276 [details]
Patch

n/m James, this was already reviewed by abarth!
Comment 7 Gavin Peters 2012-04-27 07:32:24 PDT
Comment on attachment 138276 [details]
Patch

I wish I could wait on chromium EWS, but instead I'll trust the CQ as the potential error is caught early.  Ugh, though.
Comment 8 WebKit Review Bot 2012-04-27 08:56:21 PDT
Comment on attachment 138276 [details]
Patch

Clearing flags on attachment: 138276

Committed r115436: <http://trac.webkit.org/changeset/115436>
Comment 9 WebKit Review Bot 2012-04-27 08:56:26 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Tony Gentilcore 2012-04-27 10:36:58 PDT
Rolled out in http://trac.webkit.org/changeset/115448
Comment 11 Gavin Peters 2012-04-27 16:58:26 PDT
Comment on attachment 138276 [details]
Patch

Attachment 138276 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12551380
Comment 12 Gavin Peters 2012-04-30 14:07:11 PDT
Comment on attachment 138276 [details]
Patch

I'm feeling much luckier today.
Comment 13 WebKit Review Bot 2012-04-30 15:41:02 PDT
Comment on attachment 138276 [details]
Patch

Clearing flags on attachment: 138276

Committed r115680: <http://trac.webkit.org/changeset/115680>
Comment 14 WebKit Review Bot 2012-04-30 15:41:10 PDT
All reviewed patches have been landed.  Closing bug.